<%@ page errorPage="/portal/error/error.jsp?from=initUsers.jsp"%>

<%@ page import="es.us.eii.pfc.jcrbib.domain.*"%>
<%@ page import="es.us.eii.pfc.jcrbib.data.*"%>
<%@ page import="java.util.*"%>

<%@ taglib prefix="c" uri="/WEB-INF/tld/c.tld"%>

<c:import url="/WEB-INF/jspf/header.jsp" context="/jcrbib" />

<h2>Script de inicializacion de la biblioteca</h2>

<%

DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.JCR);
IUserDAO userDAO = daoFactory.getUserDAO();
%>
<p>Creando usuarios... <%

User agonzalez = new User("agonzalez","agonzalez", true);
User blopez = new User("blopez", "blopez", true);
User cdiaz = new User("cdiaz", "cdiaz", true);
User dsanchez = new User("dsanchez", "dsanchez", true);
User eperez = new User("eperez", "eperez", true);

userDAO.addUser(agonzalez);
userDAO.addUser(blopez);
userDAO.addUser(cdiaz);
userDAO.addUser(dsanchez);
userDAO.addUser(eperez);

%> listo!</p>
<p>Creando articulos... <%

SortedSet<String> tagsA0 = new TreeSet<String>();
tagsA0.add("java");
tagsA0.add("cms");
tagsA0.add("pfc");
tagsA0.add("jsr 170");
SortedSet<String> autoresA0 = new TreeSet<String>();
autoresA0.add("Fundacion Apache");

MyArticle A0 = new MyArticle(
		"Apache Jackrabbit", 
		"http://jackrabbit.apache.org/",
		autoresA0,	tagsA0,
		MyArticle.MUST_READ);

/*******************************************************/
SortedSet<String> tagsA0bis = new TreeSet<String>();
SortedSet<String> autoresA0bis = new TreeSet<String>();
autoresA0bis.add("Sun Microsystems");


MyArticle A0bis = new MyArticle(
		"Patron DAO", 
		"http://www.programacion.com/java/tutorial/patrones2/8/#pagina28",
		autoresA0bis,
		tagsA0bis,
		MyArticle.DONT_WANT_READ);

/*******************************************************/	


	SortedSet<String> tagsA1 = new TreeSet<String>();
	tagsA1.add("software libre");
	tagsA1.add("cc");
	tagsA1.add("gfdl");
	tagsA1.add("libros libres");
	SortedSet<String> autoresA1 = new TreeSet<String>();
	autoresA1.add("Almorca");
	
	
	MyArticle A1 = new MyArticle(
			"Biblioteca libre", 
			"http://usuarios.arsystel.com/almorcavk/proyectos/biblioteca/",
			autoresA1,
			tagsA1,
			MyArticle.I_WILL_READ);
	
	/*******************************************************/	
	
	SortedSet<String> tagsA2 = new TreeSet<String>();
	tagsA2.add("blogs");
	tagsA2.add("ciencia");
	tagsA2.add("software libre");
	SortedSet<String> autoresA2 = new TreeSet<String>();
	
	MyArticle A2 = new MyArticle(
			"Barrapunto", 
			"http://barrapunto.com",
			autoresA2,
			tagsA2,
			MyArticle.TOP_PRIORITY);
	
	/*******************************************************/
	
	SortedSet<String> tagsA3 = new TreeSet<String>();
	tagsA3.add("software libre");
	tagsA3.add("cc");
	SortedSet<String> autoresA3 = new TreeSet<String>();
	autoresA3.add("Wikipedia");
	
	MyArticle A3 = new MyArticle(
			"Creative Commons", 
			"http://es.wikipedia.org/wiki/Creative_commons",
			autoresA3, tagsA3,
			MyArticle.IVE_ALREADY_READ_IT);
	
	/*******************************************************/
	
	SortedSet<String> tagsA4 = new TreeSet<String>();
	tagsA4.add("java");
	tagsA4.add("cms");
	tagsA4.add("web");
	SortedSet<String> autoresA4 = new TreeSet<String>();
	autoresA4.add("Titus Barik");
	
	MyArticle A4 = new MyArticle(
			"Introducing the Java Content Repository API", 
			"http://www-128.ibm.com/developerworks/java/library/j-jcr/",
			autoresA4,	tagsA4,
			MyArticle.TOP_PRIORITY);
	
	/*******************************************************/	
	
	SortedSet<String> tagsA5 = new TreeSet<String>();
	tagsA5.add("java");
	tagsA5.add("tutoriales");
	SortedSet<String> autoresA5 = new TreeSet<String>();
	autoresA5.add("Javier Garca");
	autoresA5.add("Jos Ignacio Rodrguez");
		
	MyArticle A5 = new MyArticle(
			"Aprenda Java como si estuviera en primero", 
			"http://www.tecnun.es/asignaturas/Informat1/ayudainf/aprendainf/Java/Java2.pdf",
			autoresA5,tagsA5,
			MyArticle.DONT_WANT_READ);
	
	/*******************************************************/
	
	SortedSet<String> tagsA6 = new TreeSet<String>();
	tagsA6.add("web");
	tagsA6.add("css");
	tagsA6.add("accesibilidad");
	SortedSet<String> autoresA6 = new TreeSet<String>();
	autoresA6.add("Dave Shea");
	
	
	MyArticle A6 = new MyArticle(
			"Image Replacement. Again.", 
			"http://mezzoblue.com/archives/2005/03/30/image_replac/",
			autoresA6,tagsA6,
			MyArticle.I_WILL_READ);
	
	/*******************************************************/
	
	SortedSet<String> tagsA7 = new TreeSet<String>();
	tagsA7.add("web");
	tagsA7.add("css");
	tagsA7.add("xhtml");
	SortedSet<String> autoresA7 = new TreeSet<String>();
	autoresA7.add("Google Dirson");
	
	
	MyArticle A7 = new MyArticle(
			"xHTML y CSS", 
			"http://google.dirson.com/posicionamiento.net/xhtml-css/",
			autoresA7,tagsA7,
			MyArticle.IVE_ALREADY_READ_IT);
	
	/*******************************************************/
	
	SortedSet<String> tagsA8 = new TreeSet<String>();
	tagsA8.add("java");
	tagsA8.add("algoritmos");
	tagsA8.add("estructuras de datos");
	SortedSet<String> autoresA8 = new TreeSet<String>();
	autoresA8.add("Jeff Friesen");
	
	MyArticle A8 = new MyArticle(
			"Estructuras de Datos y Algoritmos en Java", 
			"http://www.programacion.com/java/tutorial/jap_data_alg/",
			autoresA8,	tagsA8,
			MyArticle.I_WILL_READ);
	
	/*******************************************************/
	
	SortedSet<String> tagsA9 = new TreeSet<String>();
	tagsA9.add("java");
	tagsA9.add("pfc");
	tagsA9.add("ingenieria del software");
	SortedSet<String> autoresA9 = new TreeSet<String>();
	autoresA9.add("Amador Durn");
	autoresA9.add("Beatriz Bernrdez");
	
	MyArticle A9 = new MyArticle(
			"Metodologa para la Elicitacin de Requisitos de Sistemas Software", 
			"http://www.lsi.us.es/~amador/publicaciones/metodologia_elicitacion_2_3.pdf.zip",
			autoresA9,	tagsA9,
			MyArticle.MUST_READ);
	
	/*******************************************************/
	
%> listo!</p>

<p>Asignando articulos a los usuarios... <%
	IMyArticleDAO myArticleDAO = daoFactory.getMyArticleDAO();
	myArticleDAO.addMyArticle(A1, "agonzalez");
	myArticleDAO.addMyArticle(A3, "agonzalez");
	myArticleDAO.addMyArticle(A5, "agonzalez");
	myArticleDAO.addMyArticle(A6, "agonzalez");
	myArticleDAO.addMyArticle(A2, "blopez");
	myArticleDAO.addMyArticle(A3, "blopez");
	myArticleDAO.addMyArticle(A4, "dsanchez");
	myArticleDAO.addMyArticle(A1, "eperez");
	myArticleDAO.addMyArticle(A8, "dsanchez");
	myArticleDAO.addMyArticle(A7, "blopez");
	myArticleDAO.addMyArticle(A2, "cdiaz");
	myArticleDAO.addMyArticle(A3, "cdiaz");
	myArticleDAO.addMyArticle(A4, "eperez");
	myArticleDAO.addMyArticle(A5, "dsanchez");
	myArticleDAO.addMyArticle(A6, "blopez");
	myArticleDAO.addMyArticle(A7, "cdiaz");
	myArticleDAO.addMyArticle(A1, "dsanchez");
	myArticleDAO.addMyArticle(A8, "eperez");
	myArticleDAO.addMyArticle(A9, "agonzalez");
	myArticleDAO.addMyArticle(A0, "dsanchez");
	myArticleDAO.addMyArticle(A0bis, "cdiaz");
%> listo!</p>

<c:import url="/WEB-INF/jspf/footer.jsp" context="/jcrbib" />
